
CREATE TABLE IF NOT EXISTS `plugin_downloader_files` (
  `pageId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `filePath` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`pageId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE='utf8_unicode_ci';

CREATE TABLE IF NOT EXISTS `plugin_downloader_settings` (
  `id` int(10) NOT NULL,
  `saveStat` int(5) NOT NULL,
  `sendStat` int(5) NOT NULL,
  `access` int(5) NOT NULL,
  `userMail` varchar(255) NOT NULL,
  `filePath` varchar(255) NOT NULL,
  `trackingCode` varchar(1000) NOT NULL,
  `defaultPath` varchar(255) NOT NULL,
   Primary key (`id`)
) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci;

INSERT INTO `plugin_downloader_settings`
VALUES ('1', '0', '0', '0', '', '', '', '')
ON DUPLICATE KEY UPDATE id=1;

CREATE TABLE IF NOT EXISTS `plugin_downloader_stat` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `firstName` VARCHAR(255) DEFAULT NULL,
  `lastName` VARCHAR(255) DEFAULT NULL,
  `phone` VARCHAR(255) DEFAULT NULL,
  `email` VARCHAR(255) DEFAULT NULL,
  `rawData` LONGTEXT DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1;
